OMNICPP(1)

NAME
omnicpp - OmniORB cpp preprocessor for IDL compiler

SYNOPSIS
omnicpp [options]

DESCRIPTION
This manual page documents briefly the omnicpp command.

omniidl is omniORBs IDL compiler and uses omnicpp as it's C preprocessor. omnicpp is really just the GNU C preprocessor under a different name. Normally you should not need to invoke this directly but should use omniidl instead.

OPTIONS
As this is just the GNU C preprocessor cpp you can see that program for the full options. Normally you should not be invoking this directly but should use omniidl instead. The options listed here should really be given to omniidl, but they are passed straight to omnicpp.

-D name
    Define name for the preprocessor.

-U name
    Undefine name for the preprocessor.

-I dir
    Include dir in the preprocessor search path. Note that the current directory is not on the include search path by default. Use -I. for that.

SEE ALSO
omniidl(1).
The programs are documented fully by the HTML documentation in the omniorb4-doc package.

AUTHOR
omnicpp was written by Duncan Grisby <duncan@grisby.org>

This manual page was written by Floris Bruynooghe <floris.bruynooghe@gmail.com>, for the Debian project (but may be used by others).